Subject: Re: Apache and MySQL
From: Stipe Tolj <[email-masked]>
To: Grahame Wright <[email-masked]>
Cc: [email-masked]
Date: Thu, 05 Apr 2001 01:02:47 +0200

> I have managed to get Perl in Cygwin talking to my MySQL server when I run
> the script from the command line, but I cannot get the script to work when
> I run it from the browser connecting to Apache.  All I ever get is the error :
> DBI->connect(database=test;host=<my hostname>) failed: Can't create IP
> socket (1)
>
> I really don't know what could be causing this...does anyone have any ideas
> why it would work from the command line but not from apache?  Other scripts
> run fine, it's just ones that connect to the MySQL server that fail.

what Apache do you use? - is it the native Win32 port or a Cygwin based build?

Stipe

[email-masked]
-------------------------------------------------------------------
Wapme Systems AG

Münsterstr. 248
40470 Düsseldorf

Tel: +49-211-74845-0
Fax: +49-211-74845-299

E-Mail: [email-masked]
Internet: http://www.wapme-systems.de
-------------------------------------------------------------------
wapme.net - wherever you are

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple